Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.graphic
Class Anchor

    java.lang.Object
      jcckit.graphic.Anchor

public class Anchor
extends java.lang.Object

Anchor of a graphical element. There exist only the three instances `LEFT_BOTTOM`, `CENTER`, and `RIGHT_TOP`.

The anchor factor can be used in a position formular. Its value for the three instances reads:

Instance | Factor
--- | ---
`LEFT_BOTTOM` | 0
`CENTER` | 1
`RIGHT_TOP` | 2

Author:
  Franz-Josef Elmer

Field Summary
`static Anchor` | `CENTER` Anchor constant.
`static Anchor` | `LEFT_BOTTOM` Anchor constant.
`static Anchor` | `RIGHT_TOP` Anchor constant.

Method Summary
`int` | `getFactor()` Returns the factor.
`static Anchor` | `getHorizontalAnchor(ConfigParameters config, java.lang.String key, Anchor defaultValue)` Returns form the specified configuration parameters the horizontal anchor defined by the specified key or the specified default value.
`static Anchor` | `getVerticalAnchor(ConfigParameters config, java.lang.String key, Anchor defaultValue)` Returns form the specified configuration parameters the vertical anchor defined by the specified key or the specified default value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT_BOTTOM

    public static final Anchor LEFT_BOTTOM

  Anchor constant.

### CENTER

    public static final Anchor CENTER

  Anchor constant.

### RIGHT_TOP

    public static final Anchor RIGHT_TOP

  Anchor constant.

Method Detail

### getHorizontalAnchor

    public static Anchor getHorizontalAnchor(ConfigParameters config,
                                             java.lang.String key,
                                             Anchor defaultValue)

  Returns form the specified configuration parameters the horizontal anchor defined by the specified key or the specified default value.

  Parameters:
    `config` - Configuration parameters.
    `key` - The key of the anchor. `null` is not allowed.
    `defaultValue` - The default value.
  Returns:
    one of the three instances of `Anchor`.
  Throws:
    `FactoryException` - if the value of `key` is neither `left`, `center`, nor `right`. Note, that `FactoryException.getClassName()` returns the invalid value.

### getVerticalAnchor

    public static Anchor getVerticalAnchor(ConfigParameters config,
                                           java.lang.String key,
                                           Anchor defaultValue)

  Returns form the specified configuration parameters the vertical anchor defined by the specified key or the specified default value.

  Parameters:
    `config` - Configuration parameters.
    `key` - The key of the anchor. `null` is not allowed.
    `defaultValue` - The default value.
  Returns:
    one of the three instances of `Anchor`.
  Throws:
    `FactoryException` - if the value of `key` is neither `top`, `center`, nor `bottom`. Note, that `FactoryException.getClassName()` returns the invalid value.

### getFactor

    public int getFactor()

  Returns the factor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD